SFML 2.5.1

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Symbols

- a
- b
- c
- d
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- x
- y
- z

Here is a list of all documented variables with links to the class documentation for each member:

### - a -

- a : sf::Color
- advance : sf::Glyph
- alphaDstFactor : sf::BlendMode
- alphaEquation : sf::BlendMode
- alphaSrcFactor : sf::BlendMode
- alt : sf::Event::KeyEvent
- antialiasingLevel : sf::ContextSettings
- Any : sf::IpAddress
- attributeFlags : sf::ContextSettings
- axis : sf::Event::JoystickMoveEvent

### - b -

- b : sf::Color
- bitsPerPixel : sf::VideoMode
- Black : sf::Color
- blendMode : sf::RenderStates
- Blue : sf::Color
- bounds : sf::Glyph
- Broadcast : sf::IpAddress
- button : sf::Event::JoystickButtonEvent, sf::Event::MouseButtonEvent

### - c -

- channelCount : sf::SoundFileReader::Info
- code : sf::Event::KeyEvent
- color : sf::Vertex
- colorDstFactor : sf::BlendMode
- colorEquation : sf::BlendMode
- colorSrcFactor : sf::BlendMode
- control : sf::Event::KeyEvent
- CurrentTexture : sf::Shader
- Cyan : sf::Color

### - d -

- Default : sf::RenderStates
- delta : sf::Event::MouseWheelEvent, sf::Event::MouseWheelScrollEvent
- depthBits : sf::ContextSettings

### - f -

- family : sf::Font::Info
- finger : sf::Event::TouchEvent

### - g -

- g : sf::Color
- Green : sf::Color

### - h -

- height : sf::Event::SizeEvent, sf::Rect< T >, sf::VideoMode

### - i -

- Identity : sf::Transform
- InvalidPos : sf::String

### - j -

- joystickButton : sf::Event
- joystickConnect : sf::Event
- joystickId : sf::Event::JoystickButtonEvent, sf::Event::JoystickConnectEvent, sf::Event::JoystickMoveEvent
- joystickMove : sf::Event

### - k -

- key : sf::Event

### - l -

- left : sf::Rect< T >
- length : sf::Music::Span< T >
- LocalHost : sf::IpAddress

### - m -

- m_source : sf::SoundSource
- Magenta : sf::Color
- majorVersion : sf::ContextSettings
- minorVersion : sf::ContextSettings
- mouseButton : sf::Event
- mouseMove : sf::Event
- mouseWheel : sf::Event
- mouseWheelScroll : sf::Event

### - n -

- name : sf::Joystick::Identification
- None : sf::IpAddress

### - o -

- offset : sf::Music::Span< T >

### - p -

- position : sf::Event::JoystickMoveEvent, sf::Vertex
- productId : sf::Joystick::Identification

### - r -

- r : sf::Color
- Red : sf::Color

### - s -

- sampleCount : sf::SoundFileReader::Info, sf::SoundStream::Chunk
- sampleRate : sf::SoundFileReader::Info
- samples : sf::SoundStream::Chunk
- sensor : sf::Event
- shader : sf::RenderStates
- shift : sf::Event::KeyEvent
- size : sf::Event
- sRgbCapable : sf::ContextSettings
- stencilBits : sf::ContextSettings
- system : sf::Event::KeyEvent

### - t -

- texCoords : sf::Vertex
- text : sf::Event
- texture : sf::RenderStates
- textureRect : sf::Glyph
- top : sf::Rect< T >
- touch : sf::Event
- transform : sf::RenderStates
- Transparent : sf::Color
- type : sf::Event::SensorEvent, sf::Event

### - u -

- unicode : sf::Event::TextEvent

### - v -

- vendorId : sf::Joystick::Identification

### - w -

- wheel : sf::Event::MouseWheelScrollEvent
- White : sf::Color
- width : sf::Event::SizeEvent, sf::Rect< T >, sf::VideoMode

### - x -

- x : sf::Event::MouseButtonEvent, sf::Event::MouseMoveEvent, sf::Event::MouseWheelEvent, sf::Event::MouseWheelScrollEvent, sf::Event::SensorEvent, sf::Event::TouchEvent, sf::Vector2< T >, sf::Vector3< T >

### - y -

- y : sf::Event::MouseButtonEvent, sf::Event::MouseMoveEvent, sf::Event::MouseWheelEvent, sf::Event::MouseWheelScrollEvent, sf::Event::SensorEvent, sf::Event::TouchEvent, sf::Vector2< T >, sf::Vector3< T >
- Yellow : sf::Color

### - z -

- z : sf::Event::SensorEvent, sf::Vector3< T >
- Zero : sf::Time